iml2text(8)

Platform Trust Services(PTS) - iml2text

NAME
iml2text - Integrity Measurement Log (IML) dump command

SYNOPSIS
iml2text [OPTION]

DESCRIPTION

The iml2text utility is a filter which displays the Integrity Measurement Log (IML) in text format.

OPTIONS

-i filename
    Set binary eventlog file.

-p pcr_index
    Select pcr index [0:23]

-I mode
    Select IMA's log format (32:Kernel 2.6.32)

-z  Set the SRK secret to all zeros (20 bytes of zeros)

-V  Verify

-D  DRTM

-E  Enable endian conversion (BE->LE or LE->BE)

-P  Show pcrs calculated from the IML

-h  Help message

TSS CONFIGRATION

    The iml2text access the system IML via TSS. Thus the TSS must be configured to access the IMLs. Example /etc/tcsd.conf:
    firmware_log_file = /sys/kernel/security/tpm0/binary_bios_measurements
    firmware_pcrs = 0,1,2,3,4,5,6,7,8
    kernel_log_file = /sys/kernel/security/ima/binary_runtime_measurements
    kernel_pcrs = 10

SEE ALSO

ptsc(8),tcsd.conf(5),

AUTHOR
Seiji Munetoh

REPORTING BUGS
Report bugs to <openpts-users@lists.sourceforge.jp>